﻿$ErrorActionPreference = 'Stop';

$packageName= 'GnuCOBOL'
$distDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/open-cobol/files/gnu-cobol/2.2/gnucobol-2.2_win.zip/download'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $distDir
  fileType      = 'exe'
  url           = $url

  softwareName  = 'GnuCOBOL*'

  checksum      = 'E36C47640743E4B57A8FD2A5AD9C08AE'
  checksumType  = 'md5'
}

Install-ChocolateyZipPackage @packageArgs